| Cabal-1.2.4.0: A framework for packaging Haskell software | Source code | Contents | Index

Distribution.Simple.NHC

Portability | portable
Stability | alpha
Maintainer | Isaac Jones <ijones@syntaxpolice.org>

Description
Synopsis

configure :: Verbosity -> Maybe FilePath -> Maybe FilePath -> ProgramConfiguration -> IO (Compiler, ProgramConfiguration)
build :: PackageDescription -> LocalBuildInfo -> Verbosity -> IO ()

Documentation

configure :: Verbosity -> Maybe FilePath -> Maybe FilePath -> ProgramConfiguration -> IO (Compiler, ProgramConfiguration) | Source

build :: PackageDescription -> LocalBuildInfo -> Verbosity -> IO () | Source

FIX: For now, the target must contain a main module. Not used ATM. Re-add later.
Produced by Haddock version 0.9